package cpcns.dingZhi.tushuziliao.controller;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.common.service.ICommonService;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.dingZhi.tushuziliao.model.TuShuZiLiao;
import cpcns.dingZhi.tushuziliao.service.ITuShuZiLiaoService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping({"tuShuZiLiaoController"})
public class TuShuZiLiaoController extends DangAnBaseController {
  @Autowired
  private ITuShuZiLiaoService tuShuZiLiaoService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private ICommonService commonService;
  
  @RequestMapping({"/toList.do"})
  public String toList(HttpServletRequest request, Model model) {
    String zhuangTai = getRequest().getParameter("zhuangTai");
    getRequest().setAttribute("zhuangTai", zhuangTai);
    String menLei = getRequest().getParameter("menLei");
    if (menLei.indexOf("ZL") >= 0)
      return "dingZhi/ziLiao/ziLiao_list"; 
    if (menLei.indexOf("NBZL") >= 0)
      return "dingZhi/neiBuZiLiao/neiBuZiLiao_list"; 
    if (menLei.indexOf("BK") >= 0)
      return "dingZhi/baoKan/baoKan_list"; 
    if (menLei.indexOf("WDSZZS") >= 0)
      return "dingZhi/wenDengXueZi/wenDengXueZi_list"; 
    if (menLei.indexOf("BZ") >= 0 || menLei.indexOf("TS") >= 0)
      return "dingZhi/tuShu/tuShu_list"; 
    return "";
  }
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, Model model) {
    TuShuZiLiao obj = new TuShuZiLiao();
    String menLei = request.getParameter("menLei");
    obj.setMenLei(menLei);
    obj.setZhuangTai(Integer.valueOf(1));
    model.addAttribute("tuShuZiLiao", obj);
    if (menLei.indexOf("ZL") >= 0)
      return "dingZhi/ziLiao/ziLiao_edit"; 
    if (menLei.indexOf("NBZL") >= 0)
      return "dingZhi/neiBuZiLiao/neiBuZiLiao_edit"; 
    if (menLei.indexOf("BK") >= 0) {
      if (StringUtils.isNotBlank(menLei)) {
        GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
        if (dam != null) {
          getRequest().setAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
          getRequest().setAttribute("fenGeFu", dam.getFenGeFu());
          String dangHaoFenLei = dam.getZiFuDaiMa();
          if (StringUtils.isNotBlank(dangHaoFenLei)) {
            getRequest().setAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
            getRequest().setAttribute("qiDongDangHao", dam.getQiDongDangHao());
          } 
          String erJiPanDuan = "0";
          if (StringUtils.isNotBlank(dam.getPaiXuGuiZeMingCheng()))
            erJiPanDuan = dam.getPaiXuGuiZeMingCheng(); 
          getRequest().setAttribute("qiDongDangHao", dam.getQiDongDangHao());
          getRequest().setAttribute("erJiPanDuan", erJiPanDuan);
        } 
      } 
      return "dingZhi/baoKan/baoKan_edit";
    } 
    if (menLei.indexOf("WDSZZS") >= 0)
      return "dingZhi/wenDengXueZi/wenDengXueZi_edit"; 
    if (menLei.indexOf("BZ") >= 0 || menLei.indexOf("TS") >= 0)
      return "dingZhi/tuShu/tuShu_edit"; 
    return "";
  }
  
  @RequestMapping({"/saveOrUpdate.do"})
  public void save(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      Enumeration<?> rnames = getRequest().getParameterNames();
      JSONObject jsonObject = new JSONObject();
      for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
        String thisName = er.nextElement().toString();
        String thisValue = getRequest().getParameter(thisName);
        thisValue = thisValue.replaceAll("\\[", "/[");
        jsonObject.put(thisName, thisValue);
      } 
      TuShuZiLiao obj = (TuShuZiLiao)JsonWithJacksonUtils.getInstance().json2Obj(jsonObject.toString().replaceAll("/\\[", "["), TuShuZiLiao.class);
      if (obj != null) {
        Map<String, String> map1 = new HashMap<>();
        map1.put("table", this.table);
        map1.put("server", this.server);
        map1.put("guiDangNianDu", obj.getGuiDangNianDu());
        map1.put("quanZongHaoString", obj.getQuanZongHao());
        map1.put("baoGuanQiXian", obj.getBaoGuanQiXian());
        map1.put("biaoTiString", obj.getBiaoTi());
        map1.put("zhuangTai_notin", "3,4");
        if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0)
          map1.put("hangBiaoShi_not", String.valueOf(obj.getHangBiaoShi())); 
        String rizhi = "";
        if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0) {
          rizhi = "修改";
          this.tuShuZiLiaoService.update(obj);
        } else {
          rizhi = "新增";
          obj.setHangBiaoShi(Integer.valueOf(this.tuShuZiLiaoService.getPk(this.table)));
          obj.setZhuangTai(Integer.valueOf(1));
          this.tuShuZiLiaoService.save(obj);
        } 
        rm.setSuccess(true);
        rm.addResultMessage("hangBiaoShi", obj.getHangBiaoShi());
        info = "保存成功！";
        this.tuShuZiLiaoService.addDA_RiZhi(getCurrentUser(), this.server, this.table, obj.getHangBiaoShi(), String.valueOf(obj.getBiaoTi()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), rizhi);
      } else {
        rm.setSuccess(false);
        info = "数据转换错误！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      String quanXian = request.getParameter("quanXian");
      String check = request.getParameter("check");
      if ("1".equals(check))
        quanXian = "false"; 
      model.addAttribute("quanXian", quanXian);
      String cxzt = request.getParameter("cxzt");
      model.addAttribute("cxzt", cxzt);
      Integer hangBiaoShi = Integer.valueOf(Integer.parseInt(request.getParameter("hangBiaoShi")));
      String ids = request.getParameter("keyWordResult");
      model.addAttribute("keyWordResult", ids);
      TuShuZiLiao obj = (TuShuZiLiao)this.tuShuZiLiaoService.getById(TuShuZiLiao.class, hangBiaoShi);
      if (StringUtils.isNotBlank(obj.getMenLei()));
      model.addAttribute("tuShuZiLiao", obj);
      this.tuShuZiLiaoService.addDA_RiZhi(getCurrentUser(), this.server, this.table, hangBiaoShi, String.valueOf(obj.getBiaoTi()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), "查看");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    String menLei = request.getParameter("menLei");
    if (menLei.indexOf("ZL") >= 0)
      return "dingZhi/ziLiao/ziLiao_edit"; 
    if (menLei.indexOf("NBZL") >= 0)
      return "dingZhi/neiBuZiLiao/neiBuZiLiao_edit"; 
    if (menLei.indexOf("BK") >= 0) {
      GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
      if (dam != null) {
        getRequest().setAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
        getRequest().setAttribute("fenGeFu", dam.getFenGeFu());
        String dangHaoFenLei = dam.getZiFuDaiMa();
        if (StringUtils.isNotBlank(dangHaoFenLei)) {
          getRequest().setAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
          getRequest().setAttribute("qiDongDangHao", dam.getQiDongDangHao());
        } 
        String erJiPanDuan = "0";
        if (StringUtils.isNotBlank(dam.getPaiXuGuiZeMingCheng()))
          erJiPanDuan = dam.getPaiXuGuiZeMingCheng(); 
        getRequest().setAttribute("erJiPanDuan", erJiPanDuan);
        getRequest().setAttribute("qiDongDangHao", dam.getQiDongDangHao());
      } 
      return "dingZhi/baoKan/baoKan_edit";
    } 
    if (menLei.indexOf("WDSZZS") >= 0)
      return "dingZhi/wenDengXueZi/wenDengXueZi_edit"; 
    if (menLei.indexOf("BZ") >= 0 || menLei.indexOf("TS") >= 0)
      return "dingZhi/tuShu/tuShu_edit"; 
    return "";
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      PagerVO pagevo = this.tuShuZiLiaoService.query_SQL(this.start, this.number, this.table, map, CommStatic.getOrderBy(request, "dangHao"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo).replaceAll(" 00:00:00", "").replaceAll(":00", "").replaceAll("", "").replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("QUANZONGHAO", "quanZongHao").replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("BIAOTI", "biaoTi").replaceAll("WENJIANKAISHISHIJIAN", "wenJianKaiShiShiJian")
        .replaceAll("LIJUANDANWEIMINGCHENG", "liJuanDanWeiMingCheng").replaceAll("FENLEIHAO", "fenLeiHao").replaceAll("DANGHAO", "dangHao")
        .replaceAll("ZERENZHE", "zeRenZhe").replaceAll("CUNFANGWEIZHI", "cunFangWeiZhi").replaceAll("LEIBIE", "leiBie").replaceAll("YESHU", "yeShu")
        .replaceAll("MENLEI", "menLei").replaceAll("WENJIANJIESHUSHIJIAN", "wenJianJieShuShiJian").replaceAll("GUIDANGRIQI", "guiDangRiQi").replaceAll("USERDATE", "userDate").replaceAll("XUHAO", "xuHao")
        .replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("FENLEIMINGCHENG", "fenLeiMingCheng");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/delete.do"})
  public void delete(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String biaoTi = request.getParameter("biaoTi");
      String dangHao = request.getParameter("dangHao");
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        User user = getCurrentUser();
        rm.setSuccess(true);
        TuShuZiLiao tszl = (TuShuZiLiao)this.tuShuZiLiaoService.getById(TuShuZiLiao.class, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        info = "删除成功！";
        this.commonService.deleteByUser(getCurrentUser(), getServer(), getTable(), hangBiaoShi);
        this.tuShuZiLiaoService.addDA_RiZhi(user, this.server, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)), String.valueOf(biaoTi) + "$." + dangHao + "$." + tszl.getMenLei(), "删除");
      } else {
        rm.setSuccess(false);
        info = "获取参数失败，无法删除，请联系管理员！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "删除失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
}
